com.dolphindb.jdbc

## Class ColumnBindValue

- java.lang.Object
- - com.dolphindb.jdbc.ColumnBindValue

All Implemented Interfaces:
  Comparable<ColumnBindValue>

    public class ColumnBindValue
    extends Object
    implements Comparable<ColumnBindValue>

### Constructor Summary

Constructors
Constructor and Description
`ColumnBindValue(int index, String colName, com.xxdb.data.Entity.DATA_TYPE type, int scale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ColumnBindValue o)`
`int` `getScale()`
`void` `setScale(int scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnBindValue

    public ColumnBindValue(int index,
                           String colName,
                           com.xxdb.data.Entity.DATA_TYPE type,
                           int scale)

### Method Detail

#### getScale

    public int getScale()

#### setScale

    public void setScale(int scale)

#### compareTo

    public int compareTo(ColumnBindValue o)

Specified by:
  `compareTo` in interface `Comparable<ColumnBindValue>`